libsquashfs: Data Fields

libsquashfs 1.3.2 A new set of tools and libraries for working with SquashFS images

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- size : sqfs_block_processor_desc_t, sqfs_block_processor_stats_t, sqfs_dir_entry_t, sqfs_dir_index_t, sqfs_fragment_t, sqfs_inode_dir_ext_t, sqfs_inode_dir_t, sqfs_xattr_entry_t, sqfs_xattr_id_t, sqfs_xattr_value_t
- sparse : sqfs_inode_file_ext_t
- sparse_block_count : sqfs_block_processor_stats_t
- sqfs_block_processor_append() : sqfs_block_processor_t
- sqfs_block_processor_begin_file() : sqfs_block_processor_t
- sqfs_block_processor_create() : sqfs_block_processor_t
- sqfs_block_processor_create_ex() : sqfs_block_processor_t
- sqfs_block_processor_end_file() : sqfs_block_processor_t
- sqfs_block_processor_finish() : sqfs_block_processor_t
- sqfs_block_processor_get_stats() : sqfs_block_processor_t
- sqfs_block_processor_submit_block() : sqfs_block_processor_t
- sqfs_block_processor_sync() : sqfs_block_processor_t
- sqfs_block_writer_create() : sqfs_block_writer_t
- sqfs_copy() : sqfs_object_t
- sqfs_data_reader_create() : sqfs_data_reader_t
- sqfs_data_reader_get_block() : sqfs_data_reader_t
- sqfs_data_reader_get_fragment() : sqfs_data_reader_t
- sqfs_data_reader_load_fragment_table() : sqfs_data_reader_t
- sqfs_data_reader_read() : sqfs_data_reader_t
- sqfs_destroy() : sqfs_object_t
- sqfs_dir_reader_create() : sqfs_dir_reader_t
- sqfs_dir_reader_find() : sqfs_dir_reader_t
- sqfs_dir_reader_find_by_path() : sqfs_dir_reader_t
- sqfs_dir_reader_get_full_hierarchy() : sqfs_dir_reader_t
- sqfs_dir_reader_get_inode() : sqfs_dir_reader_t
- sqfs_dir_reader_get_root_inode() : sqfs_dir_reader_t
- sqfs_dir_reader_open_dir() : sqfs_dir_reader_t
- sqfs_dir_reader_read() : sqfs_dir_reader_t
- sqfs_dir_reader_rewind() : sqfs_dir_reader_t
- sqfs_dir_writer_add_entry() : sqfs_dir_writer_t
- sqfs_dir_writer_begin() : sqfs_dir_writer_t
- sqfs_dir_writer_create() : sqfs_dir_writer_t
- sqfs_dir_writer_create_inode() : sqfs_dir_writer_t
- sqfs_dir_writer_end() : sqfs_dir_writer_t
- sqfs_dir_writer_get_dir_reference() : sqfs_dir_writer_t
- sqfs_dir_writer_get_entry_count() : sqfs_dir_writer_t
- sqfs_dir_writer_get_index_size() : sqfs_dir_writer_t
- sqfs_dir_writer_get_size() : sqfs_dir_writer_t
- sqfs_dir_writer_write_export_table() : sqfs_dir_writer_t
- sqfs_frag_table_append() : sqfs_frag_table_t
- sqfs_frag_table_create() : sqfs_frag_table_t
- sqfs_frag_table_get_size() : sqfs_frag_table_t
- sqfs_frag_table_lookup() : sqfs_frag_table_t
- sqfs_frag_table_read() : sqfs_frag_table_t
- sqfs_frag_table_set() : sqfs_frag_table_t
- sqfs_frag_table_write() : sqfs_frag_table_t
- sqfs_id_table_create() : sqfs_id_table_t
- sqfs_id_table_id_to_index() : sqfs_id_table_t
- sqfs_id_table_index_to_id() : sqfs_id_table_t
- sqfs_id_table_read() : sqfs_id_table_t
- sqfs_id_table_write() : sqfs_id_table_t
- sqfs_inode_get_file_block_count() : sqfs_inode_generic_t
- sqfs_inode_get_file_block_start() : sqfs_inode_generic_t
- sqfs_inode_get_file_size() : sqfs_inode_generic_t
- sqfs_inode_get_frag_location() : sqfs_inode_generic_t
- sqfs_inode_get_xattr_index() : sqfs_inode_generic_t
- sqfs_inode_make_basic() : sqfs_inode_generic_t
- sqfs_inode_make_extended() : sqfs_inode_generic_t
- sqfs_inode_set_file_block_start() : sqfs_inode_generic_t
- sqfs_inode_set_file_size() : sqfs_inode_generic_t
- sqfs_inode_set_frag_location() : sqfs_inode_generic_t
- sqfs_inode_set_xattr_index() : sqfs_inode_generic_t
- sqfs_inode_unpack_dir_index_entry() : sqfs_inode_generic_t
- sqfs_meta_reader_create() : sqfs_meta_reader_t
- sqfs_meta_reader_get_position() : sqfs_meta_reader_t
- sqfs_meta_reader_read() : sqfs_meta_reader_t
- sqfs_meta_reader_read_dir_ent() : sqfs_meta_reader_t
- sqfs_meta_reader_read_dir_header() : sqfs_meta_reader_t
- sqfs_meta_reader_read_inode() : sqfs_meta_reader_t
- sqfs_meta_reader_readdir() : sqfs_meta_reader_t
- sqfs_meta_reader_seek() : sqfs_meta_reader_t
- sqfs_meta_write_write_to_file() : sqfs_meta_writer_t
- sqfs_meta_writer_append() : sqfs_meta_writer_t
- sqfs_meta_writer_create() : sqfs_meta_writer_t
- sqfs_meta_writer_flush() : sqfs_meta_writer_t
- sqfs_meta_writer_get_position() : sqfs_meta_writer_t
- sqfs_meta_writer_reset() : sqfs_meta_writer_t
- sqfs_meta_writer_write_inode() : sqfs_meta_writer_t
- sqfs_readdir_state_init() : sqfs_readdir_state_t
- sqfs_readdir_state_reset() : sqfs_readdir_state_t
- sqfs_super_init() : sqfs_super_t
- sqfs_super_read() : sqfs_super_t
- sqfs_super_write() : sqfs_super_t
- sqfs_tree_node_get_path() : sqfs_tree_node_t
- sqfs_xattr_reader_create() : sqfs_xattr_reader_t
- sqfs_xattr_reader_get_desc() : sqfs_xattr_reader_t
- sqfs_xattr_reader_load() : sqfs_xattr_reader_t
- sqfs_xattr_reader_read_key() : sqfs_xattr_reader_t
- sqfs_xattr_reader_read_value() : sqfs_xattr_reader_t
- sqfs_xattr_reader_seek_kv() : sqfs_xattr_reader_t
- sqfs_xattr_writer_add() : sqfs_xattr_writer_t
- sqfs_xattr_writer_begin() : sqfs_xattr_writer_t
- sqfs_xattr_writer_create() : sqfs_xattr_writer_t
- sqfs_xattr_writer_end() : sqfs_xattr_writer_t
- sqfs_xattr_writer_flush() : sqfs_xattr_writer_t
- start_block : sqfs_dir_header_t, sqfs_dir_index_t, sqfs_inode_dir_ext_t, sqfs_inode_dir_t
- start_offset : sqfs_fragment_t